Summary:		A sophisticated file transfer program
Name:			lftp
Version:		4.9.2
Release:		6%{?dist}
License:		GPLv3+
URL:			http://lftp.yar.ru/
Source0:		http://lftp.yar.ru/ftp/%{name}-%{version}.tar.xz

BuildRequires:	ncurses-devel gnutls-devel perl-generators pkgconfig make
BuildRequires:	readline-devel gettext zlib-devel gcc-c++ desktop-file-utils

%description
LFTP is a sophisticated file transfer program with command line 
interface. It supports FTP, HTTP, FISH, SFTP, HTTPS and FTPS 
protocols. GNU Readline library is used for input. BitTorrent
protocol is supported as built-in `torrent' command.

%package scripts
Summary:        Utility scripts for lftp
Requires:       lftp >= %{version}-%{release}
BuildArch:      noarch

%description scripts
This package provides utility scripts for lftp.

%prep
%autosetup

sed -i '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib64 |' configure

%build
%configure \
	--with-modules \
	--with-gnutls \
	--with-debug \
	--without-openssl \
	--disable-static
%make_build

%install
%make_install

rm -f %{buildroot}%{_libdir}/liblftp-jobs.la
rm -f %{buildroot}%{_libdir}/liblftp-jobs.so
rm -f %{buildroot}%{_libdir}/liblftp-tasks.la
rm -f %{buildroot}%{_libdir}/liblftp-tasks.so

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc BUGS ChangeLog FAQ FEATURES README* NEWS THANKS TODO
%config(noreplace) %{_sysconfdir}/lftp.conf
%{_datadir}/applications/lftp.desktop
%{_datadir}/icons/hicolor/*/apps/*
%dir %{_libdir}/lftp
%dir %{_libdir}/lftp/%{version}
%{_libdir}/lftp/%{version}/cmd-torrent.so
%{_libdir}/lftp/%{version}/cmd-mirror.so
%{_libdir}/lftp/%{version}/cmd-sleep.so
%{_libdir}/lftp/%{version}/liblftp-network.so
%{_libdir}/lftp/%{version}/liblftp-pty.so
%{_libdir}/lftp/%{version}/proto-file.so
%{_libdir}/lftp/%{version}/proto-fish.so
%{_libdir}/lftp/%{version}/proto-ftp.so
%{_libdir}/lftp/%{version}/proto-http.so
%{_libdir}/lftp/%{version}/proto-sftp.so
%{_libdir}/liblftp-jobs.so.*
%{_libdir}/liblftp-tasks.so.*
%{_bindir}/*
%{_mandir}/*/*

%files scripts
%{_datadir}/lftp

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.2-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.2-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.9.2-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 11 2022 Xiaojie Chen <jackxjchen@tencent.com> - 4.9.2-1
- Initial build
